CUTLASS: cutlass::transform::threadblock::RegularTileIterator< Shape_, Element_, layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, Shape_::kContiguous >, AdvanceRank, ThreadMap_, Alignment >::Detail Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
cutlass::transform::threadblock::RegularTileIterator< Shape_, Element_, layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, Shape_::kContiguous >, AdvanceRank, ThreadMap_, Alignment >::Detail Struct Reference

Internal details made public to facilitate introspection.

`#include <regular_tile_iterator_tensor_op_sm70.h>`

## Static Public Attributes
static int const | kPointerCount = (ThreadMap::Iterations::kStrided > 1 ? 2 : 1)
| < Number of pointers More...
static int const | kIterarionsPerAccess
| Iterations for the kElementsPerAccess of ThreadMap. More...
static int const | kContiguousElementsPerLine = 4
| Contiguous elements per line. More...

## Member Data Documentation

template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , int Alignment>

int const cutlass::transform::threadblock::RegularTileIterator< Shape_, Element_, layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, Shape_::kContiguous >, AdvanceRank, ThreadMap_, Alignment >::Detail::kContiguousElementsPerLine = 4
| static

template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , int Alignment>

int const cutlass::transform::threadblock::RegularTileIterator< Shape_, Element_, layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, Shape_::kContiguous >, AdvanceRank, ThreadMap_, Alignment >::Detail::kIterarionsPerAccess
| static

Initial value:
=
ThreadMap::kElementsPerAccess / Layout::kElementsPerAccess
template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , int Alignment>

int const cutlass::transform::threadblock::RegularTileIterator< Shape_, Element_, layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, Shape_::kContiguous >, AdvanceRank, ThreadMap_, Alignment >::Detail::kPointerCount = (ThreadMap::Iterations::kStrided > 1 ? 2 : 1)
| static

The documentation for this struct was generated from the following file:

- regular_tile_iterator_tensor_op_sm70.h